/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rs.fon.silab.master.nst.simpleconnectionpool.datasource;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import rs.fon.silab.master.nst.simpleconnectionpool.connectionpool.JdbcConnectionPool;

/**
 *
 * @author user
 */
public class DataSource {
    private static DataSource dataSource;    
    private final JdbcConnectionPool pool;
    
    private DataSource() {
        pool = new JdbcConnectionPool();
    }

    public static DataSource getDataSource() {
        if (dataSource==null) dataSource = new DataSource();
        return dataSource;
    }

    public Connection getConnection() throws ClassNotFoundException, SQLException {
        Connection connection = pool.getConnection();
        return connection;
    }

    public void returnConnection(Connection connection) {
        pool.returnConnection(connection);
    }
    
     public void printCompany() throws Exception {
        Connection con = null;
        PreparedStatement pst = null;
        ResultSet rs = null;

        try {
            con = getConnection();
            pst = con.prepareStatement("SELECT * FROM Mesto");
            rs = pst.executeQuery();
            System.out.println(String.format("%10s", "Ptt") + String.format("%20s", "Naziv"));
            while (rs.next()) {
                System.out.println(String.format("%10d", rs.getLong(1)) + String.format("%20s", rs.getString(2)));
            }
            returnConnection(con);

        } finally {
            if (rs != null) {
                rs.close();
            }
            if (pst != null) {
                pst.close();
            }
            if (con != null) {
                con.close();
            }
        }
    }
}
